Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class GroupHeader86

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.GroupHeader86

    public class GroupHeader86
    extends java.lang.Object

Java class for GroupHeader86 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GroupHeader86">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text"/>
             <element name="CreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ISODateTime"/>
             <element name="InitgPty" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}PartyIdentification135" minOccurs="0"/>
             <element name="FwdgAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="DbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="CdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected BranchAndFinancialInstitutionIdentification6` `cdtrAgt`
`protected javax.xml.datatype.XMLGregorianCalendar` `creDtTm`
`protected BranchAndFinancialInstitutionIdentification6` `dbtrAgt`
`protected BranchAndFinancialInstitutionIdentification6` `fwdgAgt`
`protected PartyIdentification135` `initgPty`
`protected java.lang.String` `msgId`

### Constructor Summary

Constructors
`GroupHeader86()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BranchAndFinancialInstitutionIdentification6` `getCdtrAgt()` Gets the value of the cdtrAgt property.
`javax.xml.datatype.XMLGregorianCalendar` `getCreDtTm()` Gets the value of the creDtTm property.
`BranchAndFinancialInstitutionIdentification6` `getDbtrAgt()` Gets the value of the dbtrAgt property.
`BranchAndFinancialInstitutionIdentification6` `getFwdgAgt()` Gets the value of the fwdgAgt property.
`PartyIdentification135` `getInitgPty()` Gets the value of the initgPty property.
`java.lang.String` `getMsgId()` Gets the value of the msgId property.
`void` `setCdtrAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the cdtrAgt property.
`void` `setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the creDtTm property.
`void` `setDbtrAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the dbtrAgt property.
`void` `setFwdgAgt​(BranchAndFinancialInstitutionIdentification6 value)` Sets the value of the fwdgAgt property.
`void` `setInitgPty​(PartyIdentification135 value)` Sets the value of the initgPty property.
`void` `setMsgId​(java.lang.String value)` Sets the value of the msgId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msgId

    protected java.lang.String msgId

#### creDtTm

    protected javax.xml.datatype.XMLGregorianCalendar creDtTm

#### initgPty

    protected PartyIdentification135 initgPty

#### fwdgAgt

    protected BranchAndFinancialInstitutionIdentification6 fwdgAgt

#### dbtrAgt

    protected BranchAndFinancialInstitutionIdentification6 dbtrAgt

#### cdtrAgt

    protected BranchAndFinancialInstitutionIdentification6 cdtrAgt

### Constructor Detail

#### GroupHeader86

    public GroupHeader86()

### Method Detail

#### getMsgId

    public java.lang.String getMsgId()

Gets the value of the msgId property.

Returns:
  possible object is `String`

#### setMsgId

    public void setMsgId​(java.lang.String value)

Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

#### getCreDtTm

    public javax.xml.datatype.XMLGregorianCalendar getCreDtTm()

Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setCreDtTm

    public void setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getInitgPty

    public PartyIdentification135 getInitgPty()

Gets the value of the initgPty property.

Returns:
  possible object is `PartyIdentification135`

#### setInitgPty

    public void setInitgPty​(PartyIdentification135 value)

Sets the value of the initgPty property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

#### getFwdgAgt

    public BranchAndFinancialInstitutionIdentification6 getFwdgAgt()

Gets the value of the fwdgAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setFwdgAgt

    public void setFwdgAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the fwdgAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getDbtrAgt

    public BranchAndFinancialInstitutionIdentification6 getDbtrAgt()

Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setDbtrAgt

    public void setDbtrAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

#### getCdtrAgt

    public BranchAndFinancialInstitutionIdentification6 getCdtrAgt()

Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

#### setCdtrAgt

    public void setCdtrAgt​(BranchAndFinancialInstitutionIdentification6 value)

Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`